#include <iostream>
#include <cmath>
#include <string>

using namespace std;

int main()
{
    long long n,m,br=0;cin>>n>>m;
    long long mat[n][2];
    for(long long i = 0; i < n; i++){
        for(long long j = 0; j < 2; j++){
          cin >> mat[i][j];
        }
    }
    long long x,y,z;
    for (long long i=0;i<m;i++){
        cin>>x>>y>>z;
        for (long long j=x;j<=y;j++){
            if(mat[j-1][0]<=z && mat[j-1][1]>=z){br++;}
            else{continue;}
        }
        cout<<br<<endl;
        br=0;
    }
    
    return 0;
}